Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab
Interface SlotValueWidget

All Known Implementing Classes:
  AbstractListValueWidget, AbstractSlotValueWidget, BooleanSlotValueWidget, ClassSelectWidget, ClsSlotValueWidget, FloatSlotValueWidget, InstanceSlotValueWidget, IntegerSlotValueWidget, SlotSelectWidget, StringSlotValueWidget, SymbolSlotValueWidget

    public interface SlotValueWidget

Field Summary
`static int` | `HEIGHT`
`static int` | `WIDTH`

Method Summary
`void` | `doTask(String type)` Allow any other flexible process
`JComponent` | `getComponent()` Return the JComponent to show on screen.
`Object[]` | `getData()` Return an array of Objects that are shown in the widget.
`String` | `getLabel()` Return the label of the widget.
`String[]` | `getSelectedItems()` Returns the items currently selected in the JComponent.
`Object` | `getSelectedObject()` Return the selected Object.
`String` | `getSlotName()` Every widget is used to represent the value of s specific slot.
`QueriesTab` | `getTab()` Get the tab.
`JComponent` | `getWidget()` Return the JComponent to hold the data.
`void` | `initialized()` Called after project and kb are set.
`boolean` | `isComplete()` whether the seach is done or not
`boolean` | `isSlotSingleValued()` If is a single value slot, set as true.
`boolean` | `isViewEnabled()`
`boolean` | `isVisible()` get visible
`void` | `removeListener()`
`void` | `removeMouse()`
`Collection` | `search()` Performs the search for the specified string with the given search context.
`Collection` | `search(Collection instances, Slot slot, String operation, Object obj)` This is used to call for the Query settings.
`void` | `setActionsEnabled(boolean b)`
`void` | `setCls(Cls cls)` Setup the selected cls
`void` | `setData(Object[] data)` An array of Objects are passed in that should be displayed.
`void` | `setDisplayName(String name)`
`void` | `setInstances(Collection instances)` Setup the instances collection
`void` | `setProject(Project proj)` Each widget will have a pointer to the project so it can interact with the Protege knowledge base.
`void` | `setSelectedObject(Object obj)` Set the displayed selected object.
`void` | `setSpecification(SlotSpecification spec)` Setup the search specification.
`void` | `setViewEnabled(boolean b)`
`void` | `setVisible(boolean visible)` Set visible

Field Detail

### WIDTH

    static final int WIDTH

See Also:
  Constant Field Values

### HEIGHT

    static final int HEIGHT

See Also:
  Constant Field Values

Method Detail

### doTask

    void doTask(String type)

  Allow any other flexible process

### getComponent

    JComponent getComponent()

  Return the JComponent to show on screen.

### getData

    Object[] getData()

  Return an array of Objects that are shown in the widget.

### getLabel

    String getLabel()

  Return the label of the widget.

### getSelectedItems

    String[] getSelectedItems()

  Returns the items currently selected in the JComponent. For a text box, it may be the selected text, or for a list box the selected items in the list. For single valued slots (as compared to multiple valued slots), just return an array of size one.

### getSelectedObject

    Object getSelectedObject()

  Return the selected Object.

### getSlotName

    String getSlotName()

  Every widget is used to represent the value of s specific slot.

### getTab

    QueriesTab getTab()

  Get the tab.

### getWidget

    JComponent getWidget()

  Return the JComponent to hold the data.

### initialized

    void initialized()

  Called after project and kb are set.

### isComplete

    boolean isComplete()

  whether the seach is done or not

### isSlotSingleValued

    boolean isSlotSingleValued()

  If is a single value slot, set as true.

### isViewEnabled

    boolean isViewEnabled()

### isVisible

    boolean isVisible()

  get visible

### removeListener

    void removeListener()

### removeMouse

    void removeMouse()

### search

    Collection search()

  Performs the search for the specified string with the given search context. SetData will be called shortly later with the same array of strings to be displayed, so it is not necessary to update the display yet.

### search

    Collection search(Collection instances,
                      Slot slot,
                      String operation,
                      Object obj)

  This is used to call for the Query settings.

### setActionsEnabled

    void setActionsEnabled(boolean b)

### setCls

    void setCls(Cls cls)

  Setup the selected cls

### setData

    void setData(Object[] data)

  An array of Objects are passed in that should be displayed. After search is called, the array of objects returned will be passed to setData to be displayed. This will also be called when the back and forward buttons are pressed to reset the screen from the history.

### setDisplayName

    void setDisplayName(String name)

### setInstances

    void setInstances(Collection instances)

  Setup the instances collection

### setProject

    void setProject(Project proj)

  Each widget will have a pointer to the project so it can interact with the Protege knowledge base.

### setSelectedObject

    void setSelectedObject(Object obj)

  Set the displayed selected object.

### setSpecification

    void setSpecification(SlotSpecification spec)

  Setup the search specification.

### setViewEnabled

    void setViewEnabled(boolean b)

### setVisible

    void setVisible(boolean visible)

  Set visible

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request